<?php
/**
* @package    jgmap
* @subpackage 
* @author     Emmanuel HESRY
* @copyright  2009
* @link
* @licence  http://www.gnu.org/licenses/gpl.html GNU General Public Licence, see LICENCE file
*/
class mapZone extends jZone {
    protected $_tplname = 'mapZone';
    protected function _prepareTpl(){
        global $gJCoord, $gJConfig;
        /*   
		*  Note:
		*  La vérification de l'existance du template est assuré par
		*  le framework Jelix.
		*
		*/
        /*
		*  Si un nom de template est passé paramètre à  la zone
		*    on l'utilise dans cette zone
		*  sinon se sera content.tpl
		*/   
        $tpl = $this->getParam('tpl');
        if(isset($tpl)){
          $this->_tplname = $this->getParam('tpl');
        }
        $mapClass = $this->getParam('mapClass');
        $mapObject = $this->getParam('mapObject');
		if (isset($mapClass) || isset($mapObject)) {
            $rep= $gJCoord->response;
            $www =$gJConfig->urlengine['jelixWWWPath'];
            $bp =$gJConfig->urlengine['basePath'];
            // librairie jQuery nécessaire 
            $rep->addJSLink($www.'jquery/jquery.js');
            $rep->addJSLink($www.'jquery/include/jquery.include.js');
			// librairie permettant de faire de la POO javascript de manière simple */
            $rep->addJSLink($www.'js/class.js');
			// feuille de style
            $rep->addCSSLink($bp.'themes/default/css/googleMap.css');
			if(isset($mapClass)) {
				// on instancie la carte à partir de la classe  passée en paramètre
				$map = jClasses::create($mapClass);
			} elseif (isset($mapObject)) {
				$map = $mapObject;
			}
			// on affecte l'objet carte instancié au préalable (controleur ou objet métier)  à une variable du template
			$this->_tpl->assign('map',$map);
			/* ajout des scripts google map */
			if (isset($_SESSION[$map->getMapVarSession()]) and !$_SESSION[$map->getMapVarSession()]) {
				/* script de load de l'API google map */
				$rep->addHeadContent(jGmap::getHeaderJS($map->googleKey));
				/* script fonctions javascript communes */
				$rep->addHeadContent($map->getCommonJS());
				$_SESSION[$map->getMapVarSession()] = true;
			}
			if (isset($mapClass)) jGmap::terminate($map);
			/* script d'initialisation des cartes */
			$rep->addHeadContent($map->getInitMapJS());
        } else {
            throw new jException('jgmap~gmap.class.not.defined');
        }
    }
}
?>